Skip to main content
`Ctrl`+`K`

# DMAdaptorSetMixedSetupFunction

Set the function setting up the mixed problem

## Synopsis

    #include "petscdmadaptor.h"
    PetscErrorCode DMAdaptorSetMixedSetupFunction(DMAdaptor adaptor, PetscErrorCode (*setupFunc)(DMAdaptor, DM))

Not Collective

## Input Parameters

- adaptor - the `DMAdaptor`

- setupFunc - the function setting up the mixed problem

## See Also

`DMAdaptor`, `DMAdaptorGetMixedSetupFunction()`, `DMAdaptorAdapt()`

## Level

advanced

## Location

src/snes/utils/dm/dmadapt.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages